Get the complete file contents of the entry

- « PharFileInfo::getCompressedSize

- PharFileInfo::getMetadata »

- PHP Manual
- PharFileInfo
- Get the complete file contents of the entry

# PharFileInfo::getContent

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

PharFileInfo::getContent — Get the complete file contents of the entry

### Description

public PharFileInfo::getContent(): string

This function behaves like file_get_contents() but for Phar.

### Parameters

This function has no parameters.

### Return Values

Returns the file contents.